summaryrefslogtreecommitdiff
path: root/old_wiki_git/hooks/pre-receive.sample
diff options
context:
space:
mode:
authorGaspard Coulet <gaspard.coulet@mines-ales.org>2024-04-28 00:47:27 +0200
committerGaspard Coulet <gaspard.coulet@mines-ales.org>2024-04-28 00:47:27 +0200
commit85838d876ba48da1ea256e54e77a69c11062579b (patch)
tree0fb24e442283efa5d37c700969985163e65f16ac /old_wiki_git/hooks/pre-receive.sample
parent9fe033ea88c2f705ec18c232873d056e0c229d72 (diff)
Initial commitHEADmaster
Diffstat (limited to 'old_wiki_git/hooks/pre-receive.sample')
-rw-r--r--old_wiki_git/hooks/pre-receive.sample24
1 files changed, 24 insertions, 0 deletions
diff --git a/old_wiki_git/hooks/pre-receive.sample b/old_wiki_git/hooks/pre-receive.sample
new file mode 100644
index 0000000..a1fd29e
--- /dev/null
+++ b/old_wiki_git/hooks/pre-receive.sample
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+ i=0
+ while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+ do
+ eval "value=\$GIT_PUSH_OPTION_$i"
+ case "$value" in
+ echoback=*)
+ echo "echo from the pre-receive-hook: ${value#*=}" >&2
+ ;;
+ reject)
+ exit 1
+ esac
+ i=$((i + 1))
+ done
+fi